Get My Metrics

​

Get personalized deal metrics for the authenticated user.

This endpoint provides comprehensive metrics and analytics specific to the authenticated user's deals, including performance indicators, pipeline status, and achievement statistics.

Args: user: Authenticated user information

Returns: MyMetricsData containing: - total_deals: Total number of deals owned by the user - active_deals: Number of deals currently in progress - closed_won: Number of successfully closed deals - closed_lost: Number of lost deals

Raises: HTTPException: - 401: Authentication required - 403: Insufficient permissions - 500: Internal server error while calculating metrics

Responses

  • application/json
Request Example for get/me/
curl https://crm.dreamhub.ai/api/v1/deals/me/ \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "quota": 1,
  "pipelineCoverage": 1,
  "committedArrMrr": 1
}